---
title: 人文社会科学的“客观真理”（文摘）
date: 2022-02-12 21:00:03
tags:
  - 文摘
  - 社会科学
author: 潘绥铭
---

> 本文摘录自潘绥铭为《中国人的男男性行为 性与自我认同状态调查》（2005）所作序言《自己领悟自己的路》，原小标题为“3.能不能自己研究自己？”。我认为，这篇序言中的一些观点不仅适用于关于MSM的研究，也适用于我们对待科学事物的态度。其中提到的一些现象，到今天也仍然盘踞在我们的社会之中。选节提出了一个我很赞同的观点：“人文科学中没有‘客观’”，其中的“MSM”是Man who have sex with man（有男男性行为的男人）的缩写。

最近几年来，凡是请我讲“同性恋问题”的人，我都对他们说：“同性恋”自己已经做了大量的研究，出版了许多书，拍了许多电影。你们为什么不请他们自己来讲一讲呢？结果他们都说：还是你讲吧，你讲的客观。言外之意就是，MSM自己研究自己是不客观的。

这又是一个“认识论”方面的大问题，一个中国人“被现代化”的思想方法产物，一个“模仿自然科学”的思维定势恶果。

<!--more-->
对自然科学来说，确实存在着一个客观不客观的问题，你不可以在做实验的时候偷偷往里面加入一些别的东西，也不可以在试验结果里加进去自己的主观看法。但是，一些人文社会科学都不是研究“物”的，都是研究“人”的；尤其是，他们都是由人在研究人，而不是计算机在研究人。可是，研究者自己也生活在现实社会里，也不可避免地会受到社会的种种影响。无论他多么自觉地、努力地排除这种影响，在研究任何其他人的时候，怎么可能不加入自己的体验与看法呢？怎么可能保持所谓的“客观”呢？在学术上，这叫做“研究者的价值观不可能完全中立”。

自然科学的方法论有三大要素：受控条件下的、可重复的、试验。只有同时满足这三条，其结果才是“客观的”与“科学的”。例如：“水100度烧开”这个结论，就必须是至少在1个大气压和使用纯净水这两个受控制的条件下、无论谁去烧都是这样；并且必须真的去烧，而不是仅仅在推理。

可是，人文社会科学连一条也做不到。首先，无论你研究什么，你都不可能拿全人类做实验，甚至拿一个人去做实验都不可能。其次，人类的一切行为都是不可重复的，因为人是在不断成长中的。最后，人生活于其中的社会条件与历史条件，没有一个研究者能控制得了。

因此，非要拿人文社会科学去模仿自然科学，这根本就是一个认识论方面的原则错误。

MSM问题也是如此。且不论道德伦理与法律允不允许，仅仅是为了满足“受控条件下的”这个要求，我们有可能把一些MSM关在观察室里去研究他们吗？无论谁去看，难道他们都会做出产生同样表现的事情，以便满足“可重复”这个要求吗？最后，可以拿他们做实验吗？

因此说，非MSM的人去研究MSM，并不比他们自己研究自己更加“客观”，不仅因为被研究的MSM不是石头，也因为研究者自己并不是仪器。因此，如果你担心MSM自己研究自己可能会美化自己，那么你怎么不担心非MSM的研究者可能会丑化他们呢？而且，“美化”和“丑化”，是否有一个不变的“客观”的标准呢？

其实，严肃的人文社会科学研究者所主张的，根本就不是模仿自然科学，更不是全盘照搬，而是在研究的过程中，应该自觉地、尽可能地排除那些缺乏根据的、主观臆断的东西。反过来，严肃的学者都会在论述中不断地主动指出：哪些是被研究者自己的感受与说法，哪些是我自己的体验和看法。尤其是，严肃的学者绝对不会把自己的看法强加给被研究者，更不会宣称唯有自己的看法才是“真实的”、“客观的”、“科学的”。

我们中国人之所以容易喜欢“模仿自然科学”，完全是历史的产物。从小到大，我们听过无数遍“客观规律”、“科学真理”之类的宣传，终于使我们相信：对于人类、对于社会、对于我们这些活蹦乱跳的生命体，居然也有这样一类东西在冥冥之中控制着。结果，我们总是喜欢问“客观不客观”、“科学不科学”，却浑然不知，这些词汇根本不能套用到人文社会科学领域中来。

因此，无论是谁来研究MSM问题，都应该仅仅使用这个唯一的标准来判断。这其实是一个学术水平的问题、思维能力的问题，而不是性取向的问题。

> 有趣的是，哈耶克在《个人主义与经济秩序》中曾精彩地论证过一个相近的观点，他的论证围绕信息不对等和信息加工处理带来的主观性问题。如果说这些更多的是在哲学层面上的讨论，那么雨果 梅西耶和丹 斯铂伯的《理性之谜》更多的从心理学的角度讨论了类似的问题————理性。
